#!/bin/bash
VENDOR_ID="0403"
PRODUCT_IDS=("6001" "6010" "6014" "6015")

echo "Применение udev правил для устройств FTDI (VENDOR: $VENDOR_ID)..."

for pid in "${PRODUCT_IDS[@]}"; do
    udevadm trigger --subsystem-match=usb \
                    --attr-match="idVendor=$VENDOR_ID" \
                    --attr-match="idProduct=$pid" \
                    --action=add
    if [ $? -eq 0 ]; then
        echo "Правила применены для PID: $pid"
    else
        echo "Ошибка применения правил: $pid"
    fi
done
udevadm settle --timeout=3
